Test Connection - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Test Connection
Endpoint:
POST /v1/connections/{connectionId}/test
cURL Example:
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test \
--header 'Authorization: Bearer <token>'
Python Example:
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript Example (Fetch API):
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example:
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>"],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example:
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java Example (Unirest):
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test")
.header("Authorization", "Bearer <token>")
.asString();
Ruby Example:
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
202 - Accepted
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}
Authorizations
Authorization (required):
- Type: string
- Location: header
- Format:
Bearer <token>
Path Parameters
connectionId: string (required) - The ID of the connection to test.